package com.logicbig.example.service;

import com.logicbig.example.app.Customer;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;

@Service
@Profile("local")
public class InMemoryOrderService implements OrderService {
    @Override
    public void placeOrder(Customer customer, String orderDetails) {
        System.out.println("InMemoryOrderService: order placed by "+customer+ " details: "+orderDetails);
    }
}